<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

if ( post_password_required() ) {
    return;
}
?>
 <!-- Comment Start -->
    <div class="comment-section m-t-60">
        <h5 class="fs-20 m-b-30"><?php
               $comments_number = get_comments_number();
                printf( 
                    esc_html(
                        // translators: %1s: comments number
                        _nx( 
                            '%1$1s Comment',
                            '%1$1s Comments',
                            $comments_number,
                            'comments title',
                            'smartwp'
                       )
                    ),
                    esc_html(number_format_i18n( $comments_number ))// phpcs:ignore
                    );
                ?>
            </h5>

        <ul class="commet-list">
            <?php
                wp_list_comments( array(
                    'style'       => 'li',
                    'short_ping'  => true,
                    'avatar_size' => 92,
                    'callback'    => 'smartwp_comments_list'
                ));
            ?>
        </ul>

             <div class="comment-form m-t-45">
                <?php if ( ! comments_open() && get_comments_number() ) : ?>
                    <div class="alert alert-warning no-comments"><?php esc_html_e( 'Comments are closed.' , 'smartwp' ); ?></div>
                <?php else :
                    $fields = array(
                'author' => ' <div class="row">
                                 <div class="col-6">
                                <input type="text" id="author" name="author" tabindex="1" value="' . esc_attr( $commenter['comment_author'] ) . '" placeholder="'.esc_attr__('Name...','smartwp').'">
                            </div>',
                'email'  => '<div class="col-6">
                                <input type="email" name="email" id="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" tabindex="2" placeholder="'.esc_attr__('Email...','smartwp').'">
                            </div></div>',
            );
            comment_form( array(
                'fields'               => apply_filters( 'smartwp_comment_form_default_fields', $fields ),
                'comment_notes_before' => '',
                'comment_notes_after'  => '',
                'title_reply'          => esc_html__( 'Leave A Comment', 'smartwp' ),
                'title_reply_to'       => esc_html__( 'Leave A Reply To %s', 'smartwp' ),
                'id_form'              => 'commentform',
                'id_submit'            => 'submit',
                'cancel_reply_link'    => '<i class="fa fa-reply"></i>',
                'class_submit'         => 'boxed-btn',
                'label_submit'         => esc_html__( 'Submit', 'smartwp' ),
                'comment_field'        => '<div class="form-group textarea">
                                        <textarea name="comment" id="comment" placeholder="' . esc_attr__( 'Comment...', 'smartwp' ) . '" cols="20" rows="10"></textarea>
                                    </div>'
            ) );
                endif; ?>
        </div>
    </div>
<!-- Comment End -->