<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; ?>

<div class="single-blog-post">
    <?php if( has_post_thumbnail( ) ) : ?>
        <div class="blog-bg bg-img-c">
            <?php the_post_thumbnail( ); ?>
        </div>
    <?php endif; ?>
    <div class="blog-content">
        <div class="blog-meta m-b-30">
            <ul>
                <li>
                    <a href=""><i class="fas fa-calendar-alt"></i><?php the_time( 'd M Y' ); ?></a>
                </li>
                <li>
                    <a href="#"><i class="fas fa-comments"></i><?php comments_popup_link(); ?></a>
                </li>
            </ul>
        </div>
        <h2 class="fs-22 m-b-25"><?php the_title( ); ?></h2>
        <?php the_content( ); ?>
    </div>
</div>
<!-- Tag & Share -->
<div class="blog-footer d-md-flex align-items-md-center justify-content-md-between">
    <?php if ( has_tag() ): ?>
    <div class="post-tag">
        <ul>
            <li><strong><?php echo esc_html__( 'Tag:', 'smartwp' ); ?></strong></li>
            <?php
                 if ( get_the_tag_list()) {
                        echo get_the_tag_list('<li>',
                            ' </li><li>','</li>');
                     }
               ?>
        </ul>
    </div>
    <?php endif; ?>
    <?php echo smartwp_share(); ?>
</div>

<?php if( !empty( the_author_meta( 'description' ) ) ) : ?>
    <!-- Author Info -->
    <div class="author-info">
        <div class="author-img">
            <?php echo get_avatar( get_the_author_meta( 'ID' ), 92 ); ?>
        </div>
        <h6 class="fs-18 m-b-20"><?php the_author(); ?></h6>
        <p><?php the_author_meta('description'); ?></p>
    </div>
<?php endif; ?>
<!-- Related Post -->
<div class="related-post m-t-60">
    <div class="realated-post-tab">
        <nav>
            <div class="nav" id="nav-tab" role="tablist">
                <a class="nav-item js-tabs-link nav-link active" data-toggle="tab" href="#related_post">Related Post</a>
            </div>
        </nav>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade active show js-tabs-item" id="related_post" role="tabpanel">
                <div class="related-post-slide">
                    <?php

                        $related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 5, 'post__not_in' => array($post->ID) ) );
                        if( $related ) foreach( $related as $post ) {
                        setup_postdata($post); 
                        ?>
                        <div class="single-slide">
                            <!-- Single Post -->
                            <div class="single-latest-post">
                                <?php  if( has_post_thumbnail() ) : ?>
                                    <div class="latest-post-img"> <!-- Post Image -->
                                        <?php the_post_thumbnail(); ?>
                                        <a href="<?php the_permalink( ); ?>" class="post-date"><?php the_time( 'd M' ); ?> <br> <?php the_time( 'Y' ); ?></a> <!-- Post Date -->
                                    </div>
                                <?php endif; ?>
                                <div class="latest-post-content p-all-30">
                                    <!-- Meta Information -->
                                    <div class="latest-post-meta p-tb-15">
                                        <ul>
                                            <li class="user">
                                                <a href="<?php the_permalink( ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 33 ); ?>  <?php echo esc_html__( 'By', 'smartwp' ); ?> <?php the_author(); ?></a>
                                            </li>
                                            <li>
                                                <a href="#"><i class="fas fa-comments"></i><?php comments_popup_link(); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                    <h4 class="fs-20 lh-30 m-b-30 m-t-15"><a href="<?php the_permalink( ); ?>"><?php the_title(); ?></a></h4>
                                </div>
                            </div>
                        </div>
                    <?php } wp_reset_postdata(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Comment Start -->